/*******************************************************************************
 * Fraco - Eclipse plug-in to detect fragile comments
 *
 * Copyright (C) 2019 McGill University
 *     
 * Eclipse Public License - v 2.0
 *
 *  THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE
 *  PUBLIC LICENSE v2.0. ANY USE, REPRODUCTION OR DISTRIBUTION
 *  OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
 *******************************************************************************/
/**
 * 
 */
package ca.mcgill.cs.stg.fraco.Properties.handlers;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;
import org.eclipse.core.commands.common.NotDefinedException;

import ca.mcgill.cs.stg.fraco.AstBuilder;
import ca.mcgill.cs.stg.fraco.DetectFragileComments;

/**
 * @author inder
 *
 */
public class UserOptions extends AbstractHandler implements IHandler {

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * org.eclipse.core.commands.IHandler#execute(org.eclipse.core.commands.
	 * ExecutionEvent)
	 */
	@Override
	public Object execute(ExecutionEvent event) throws ExecutionException {
		if (event != null) {
			try {
				if ((event.getCommand().getName()).equalsIgnoreCase("IdenticalMatch")) {

					DetectFragileComments._identicalMatch = !DetectFragileComments._identicalMatch;
				} else if ((event.getCommand().getName()).equalsIgnoreCase("FilterProximityComments")) {
					DetectFragileComments._filterProximity = !DetectFragileComments._filterProximity;
				} else if ((event.getCommand().getName()).equalsIgnoreCase("SetupExperiment")) {
					AstBuilder ast = new AstBuilder();
					ast.initializePluginProcessing();
				}
			} catch (NotDefinedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}

		/*
		 * MessageDialog.openInformation(HandlerUtil.getActiveWorkbenchWindow(
		 * event).getShell(), "Info", "Info for you");
		 */

		return null;
	}

}
