/*******************************************************************************
 * Fraco - Eclipse plug-in to detect fragile comments
 *
 * Copyright (C) 2019 McGill University
 *     
 * Eclipse Public License - v 2.0
 *
 *  THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS ECLIPSE
 *  PUBLIC LICENSE v2.0. ANY USE, REPRODUCTION OR DISTRIBUTION
 *  OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
 *******************************************************************************/
package ca.mcgill.cs.stg.fraco.utils;

import java.util.List;

import org.eclipse.jdt.core.ICompilationUnit;

import org.eclipse.jdt.core.dom.TagElement;

public class Comments {

	private String _comment;
	private int _lineNumber;
	private boolean _isProximityComment;
	private int _uid;
	private List<TagElement> _tags;
	private ICompilationUnit _cUnit;
	private String _packageName;
	private CommentType _type;
	private String _path;
	private String _methodName;
	private String _parentClassName;
	private String _cuName;
	private List<Match> _matches;

	/**
	 * @return the comment string
	 */
	public String get_comment() {
		return _comment;
	}

	public void set_comment(String _comment) {
		this._comment = _comment;
	}

	public CommentType get_type() {
		return _type;
	}

	public void set_type(CommentType _type) {
		this._type = _type;
	}

	public String get_path() {
		return _path;
	}

	public void set_path(String path) {
		this._path = path;
	}

	private String _className;

	public String get_className() {
		return _className;
	}

	public void set_className(String _className) {
		this._className = _className;
	}

	/**
	 * @return the _lineNumber
	 */
	public int get_lineNumber() {
		return _lineNumber;
	}

	/**
	 * @param _lineNumber
	 *            the _lineNumber to set
	 */
	public void set_lineNumber(int _lineNumber) {
		this._lineNumber = _lineNumber;
	}

	/**
	 * @return the _cUnit
	 */
	public ICompilationUnit get_cUnit() {
		return _cUnit;
	}

	/**
	 * @param _cUnit
	 *            the _cUnit to set
	 */
	public void set_cUnit(ICompilationUnit _cUnit) {
		this._cUnit = _cUnit;
	}

	/**
	 * @return the _uid
	 */
	public int get_uid() {
		return _uid;
	}

	/**
	 * @param _uid
	 *            the _uid to set
	 */
	public void set_uid(int _uid) {
		this._uid = _uid;
	}

	/**
	 * @return the _tags
	 */
	public List<TagElement> get_tags() {
		return _tags;
	}

	/**
	 * @param _tags
	 *            the _tags to set
	 */
	public void set_tags(List<TagElement> _tags) {
		this._tags = _tags;
	}

	/**
	 * @return the _packageName
	 */
	public String get_packageName() {
		return _packageName;
	}

	/**
	 * @param _packageName
	 *            the _packageName to set
	 */
	public void set_packageName(String _packageName) {
		this._packageName = _packageName;
	}

	/**
	 * @return the _isProximityComment
	 */
	public boolean is_isProximityComment() {
		return _isProximityComment;
	}

	/**
	 * @param _isProximityComment
	 *            the _isProximityComment to set
	 */
	public void set_isProximityComment(boolean _isProximityComment) {
		this._isProximityComment = _isProximityComment;
	}

	/**
	 * @return the _methodName
	 */
	public String get_methodName() {
		return _methodName;
	}

	/**
	 * @param _methodName
	 *            the _methodName to set
	 */
	public void set_methodName(String _methodName) {
		this._methodName = _methodName;
	}

	/**
	 * @return the _parentClassName
	 */
	public String get_parentClassName() {
		return _parentClassName;
	}

	/**
	 * @param _parentClassName
	 *            the _parentClassName to set
	 */
	public void set_parentClassName(String _parentClassName) {
		this._parentClassName = _parentClassName;
	}

	/**
	 * @return the _cuName
	 */
	public String get_cuName() {
		return _cuName;
	}

	/**
	 * @param _cuName
	 *            the _cuName to set
	 */
	public void set_cuName(String _cuName) {
		this._cuName = _cuName;
	}

	/**
	 * @return the _matches
	 */
	public List<Match> get_matches() {
		return _matches;
	}

	/**
	 * @param _matches
	 *            the _matches to set
	 */
	public void set_matches(List<Match> _matches) {
		this._matches = _matches;
	}

}
